<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Livraria TMG</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous"></link>
        <link rel="StyleSheet" type="text/css" href="../../resources/css/EstiloCadastraUsuarios.css" media="screen"></link>

    </h:head>
    <h:body>

        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a href="../index.xhtml"><img src="../../resources/img/Logo.png" width="150px"></img></a> &nbsp; <h1 class="p1">Livraria TMG</h1>    


            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">

                    &nbsp;
                    &nbsp;


                    <li class="nav-item active" >
                        <a class="nav-link" href="../CadastroLivros/CadastraLivros.xhtml">Cadastro de Livros <span class="sr-only">(current)</span></a>
                    </li> 

                </ul>

                <form class="form-inline my-2 my-lg-0">


                    <a href="../index.xhtml"><h:graphicImage library="img" title="Voltar" name="voltar.png"></h:graphicImage></a>

                    &nbsp;  
                    &nbsp;  

                    <input class="form-control form-control-lg"  type="search" placeholder="Pesquisar" aria-label="pesquisa"></input>


                    <a href="#"><img src="../../resources/img/lupa.png" width="30px;" title="Pesquisar"></img></a>

                    &nbsp;
                    &nbsp;

                    <a href="../../index.xhtml"><img src="../../resources/img/exit.png" width="32px;" title="Sair"></img></a>
                </form>
            </div>
        </nav>

        <hr></hr>

        <center>  

            <h1 class="p2"> Bem vindo ao Cadastro de Usuários.</h1>
            <h2 class="p3">Por favor preencher o formulário abaixo.</h2>

            <br></br>
            <div class="card">
                <h5 id="user1" class="card-header">Cadastro de Usuários</h5>

                <h:form>
                    <div class="card-body">
                        <p:panelGrid columns="3" id="painel" >
                            <p:outputLabel value="Nome Completo:" for="nome" />
                            <p:inputText id="nome" value="#{usuarioBean.usuario.nome}" required="true" placeholder="Ex: João Silva"/>
                            <p:message for="nome" />

                            <p:outputLabel value="Senha:" for="senha" />
                            <p:inputText id="senha" value="#{usuarioBean.usuario.senha}" type="password" maxlength="8" required="true" placeholder="Senha"/>                                               
                            <p:message for="senha" />                           

                            <p:outputLabel value="Email:" for="email" />
                            <p:inputText id="email" value="#{usuarioBean.usuario.email}"  required="true" placeholder="joãosilva@email.com.br" />
                            <p:message for="email" />

                            <p:outputLabel value="CPF:" for="cpf" />
                            <p:inputMask id="cpf" value="#{usuarioBean.usuario.cpf}" mask="999.999.999-99"  required="true" placeholder="Ex:123.123.123-12"/>
                            <p:message for="cpf" />

                            <p:outputLabel value="Data de Nascimento:" for="data" />
                            <p:inputMask id="data"  value="#{usuarioBean.usuario.nascimento}" mask="99/99/9999" placeholder="99/99/99"/>
                            <p:message for="data"/>

                            <p:outputLabel value="Celular:" for="celular" />
                            <p:inputMask id="celular" value="#{usuarioBean.usuario.celular}" mask="(99)999999999" placeholder="Ex: (99)9999 99999"/>
                            <p:message for="celular" />                          
                        </p:panelGrid>

                        <br></br>

                        <h5 id="user2" class="card-header">Endereço</h5>

                        <br></br>
                        <div class="card-body">
                            <p:panelGrid columns="3" id="painelLocal" >
                                <p:outputLabel value="Endereço:" for="endereco" />
                                <p:inputText id="endereco" value="#{usuarioBean.usuario.endereco}" placeholder="Ex: Rua B"/>
                                <p:message for="endereco"/>

                                <p:outputLabel value="Complemento:" for="complemento" />
                                <p:inputText id="complemento" value="#{usuarioBean.usuario.complemento}" placeholder="Ex: Proxímo.."/>
                                <p:message for="complemento"/>

                                <p:outputLabel value="Número:" for="numero" />
                                <p:inputText id="numero" type="number" value="#{usuarioBean.usuario.numero}" placeholder="Ex: 111"/>
                                <p:message for="numero"/>

                                <p:outputLabel value="Bairro:" for="bairro" />
                                <p:inputText id="bairro" value="#{usuarioBean.usuario.bairro}" placeholder="Ex: Jacaraipe"/>
                                <p:message for="bairro"/>

                                <p:outputLabel value="Estado:" for="estado" />
                                <p:inputText id="estado" value="#{usuarioBean.usuario.estado}" maxlength="2" placeholder="Ex: ES"/>
                                <p:message for="estado"/>

                                <p:outputLabel value="Cidade:" for="cidade" />
                                <p:inputText id="cidade" value="#{usuarioBean.usuario.cidade}" placeholder="Ex: Serra"/>
                                <p:message for="cidade" />  

                            </p:panelGrid>
                        </div>
                        <br></br>

                        <p:growl id="msg" />
                        <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
                            <p:outputLabel for="@next" value="Desejo receber e-mail de ofertas."/>                           
                            <p:selectBooleanCheckbox/>
                        </h:panelGrid>    

                        <br></br>

                        <div class="botoes">
                            <p:commandButton styleClass="bt1" ajax="false" value="Cadastrar" actionListener="#{usuarioBean.salvar()}" update="painel,painelLocal"></p:commandButton>

                            &nbsp;
                            &nbsp;

                            <p:commandButton ajax="false" value="Limpar Campos" actionListener="#{usuarioBean.novo()}" update="painel,painelLocal"></p:commandButton>

                        </div>
                    </div>
                </h:form>
            </div>


        </center>
    </h:body>
</html>

